# ChangeFileEncryption

Allows changing the database file encryption password or algorithm.
This tool can not be used to change a password of a user. The database must be closed before using this tool.

Methods
static void | execute(String dir, String db, String cipher, char[] decryptPassword, char[] encryptPassword, boolean quiet) Changes the password for a database.

static void

execute(String dir, String db, String cipher, char[] decryptPassword, char[] encryptPassword, boolean quiet) throws SQLException
Changes the password for a database. The passwords must be supplied as char arrays and are cleaned in this method. The database must be closed before calling this method.
Parameters:
dir - the directory (. for the current directory)
db - the database name (null for all databases)
cipher - the cipher (AES)
decryptPassword - the decryption password as a char array
encryptPassword - the encryption password as a char array
quiet - don't print progress information

static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-cipher type] | The encryption type (AES)
[-dir <dir>] | The database directory (default: .)
[-db <database>] | Database name (all databases if not set)
[-decrypt <pwd>] | The decryption password (if not set: not yet encrypted)
[-encrypt <pwd>] | The encryption password (if not set: do not encrypt)
[-quiet] | Do not print progress information

Parameters:
args - the command line arguments

void | runTool(String... args)
void | runTool(String... args) throws SQLException